Vulnerabilità: CVE-2020-8818

Un problema è stato scoperto nel CardGate Pagamenti plug attraverso 2.0.30 per Magento 2. Mancanza di autenticazione dell’origine nella funzione di elaborazione di callback IPN a Controller / Pagamento / Callback.php permette a un attaccante di distanza sostituire impostazioni del plugin critici (ID commerciante, chiave segreta , ecc) e quindi bypassare il processo di pagamento (per esempio, un spoof stato dell’ordine inviando manualmente una richiesta di richiamata IPN con una firma valida ma senza pagamento reale) e / o ricevere tutti i pagamenti successivi.


https://www.exploit-db.com/exploits/48135
http://packetstormsecurity.com/files/156505/Magento-WooCommerce-CardGate-Payment-Gateway-2.0.30-Bypass.html
https://github.com/cardgate/magento2/blob/715979e54e1a335d78a8c5586f9e9987c3bf94fd/Controller/Payment/Callback.php#L88-L107
https://github.com/cardgate/magento2/issues/54
https://cve.mitre.org/cgi-bin/cvename.cgi?name=CVE-2020-8818


E' possibile lasciare un commento come utenti registrati al sito, accedendo tramite social, account wordpress oppure come utenti anonimi. Nel caso in cui si desideri lasciare un commento come utenti anonimi si verrà avvisati via email di un'eventuale risposta solo se si inserisce l'indirizzo email (facoltativo). L'inserimento di qualsiasi dato nei campi dei commenti è totalmente facoltativo. Chiunque decida di inserire un qualsiasi dato accetta il trattamento di questi ultimi per i fini inerenti al servizio ovvero la risposta al commento e le comunicazioni strettamente necessarie.


Rispondi